stages:
  - build
  # - deploy
build:
  stage: build
  image: node:12.14.1
  script:
    - echo "Building deploy package"
    - whoami
    - pwd
    - yarn install
    - yarn build
    - mkdir -p /temp
    - cp -rvu build/* /temp
    - mkdir -p /var/www/secret-klaus//build
    - rm -rf /var/www/secret-klaus/build/*
    - cp -rvu /temp/* /var/www/secret-klaus//build
    - cd /temp
    - ls
    - echo "Build Successful"
  artifacts:
    # untracked: false
    expire_in: 1 hour
    paths:
      - build
  # deploy_production:
  #   stage: deploy
  #   script:
  #     - echo "Deploying to server"
  #     - pwd
  #     - mkdir -p /temp
  #     - mkdir -p /var/www/g_lab_integration/build
  #     - cp -rvu build/* /temp
  #     - cp -rvu /temp/* /var/www/g_lab_integration/build
  #     - echo "Deployed"
  environment:
    name: production
    url: http://54.252.171.192
  only:
    - master
